#!/bin/sh
#
# $FreeBSD: ports/net/rsync/files/rsyncd.sh.in,v 1.2 2006/02/20 20:47:29 dougb Exp $
#

# PROVIDE: rsyncd
# REQUIRE: LOGIN
# BEFORE:  securelevel
# KEYWORD: shutdown

# Add the following line to /etc/rc.conf to enable `rsyncd':
#
#rsyncd_enable="YES"
#
# See rsync(1) for rsyncd_flags
#

. "/etc/rc.subr"

name="rsyncd"
rcvar=`set_rcvar`

command="/usr/local/bin/rsync"
command_args="--daemon"
pidfile="/var/run/$name.pid"
required_files="/usr/local/etc/$name.conf"

# read configuration and set defaults
load_rc_config "$name"
: ${rsyncd_enable="NO"}
: ${rsyncd_flags=""}

run_rc_command "$1"
